<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Relations\BelongsTo;
use Illuminate\Database\Eloquent\Model;

class Axe extends Model
{
    //
 
    use HasFactory;
    protected $fillable = ['libelle','pole_id','annee_id'];

    public function annee()
{
    return $this->belongsTo(Annee::class);
} 
public function pole()
{
    return $this->belongsTo(Pole::class);
} 
}
